%% setup.m
% UAV Processor-in-the-Loop Simulation setup
%
% IMPORTANT: Mathworks Real Time Windows Target is only supported for
% 32-bit machines. http://www.mathworks.com/products/rtwt/requirements.html
%
% University of Minnesota 
% Aerospace Engineering and Mechanics 
% Copyright 2011 Regents of the University of Minnesota. 
% All rights reserved.
%
% SVN Info: $Id: setup.m 284 2011-03-03 15:07:19Z murch $

clear all
close all
clc
 
%% Start FlightGear
!Start_FlightGear.bat &

%% Start Ground Control Station Software
!Start_GCS &

%% Adding to MATLAB path
addpath ../Libraries

%% Configure Airframe and load trim condition
load UAV_modelconfig
load UAV_trimcondition

%% Simulation sample time
SampleTime = 0.02; % sec

% Time delay in flight software loop
TimeDelay = 0.02; % sec      

%% Configure serial communication code
mex -g mpc_tx3.cpp

%% Open model, build target, and connect. 
UAV_PIL
rtwbuild UAV_PIL
set_param('UAV_PIL','SimulationCommand','connect')

