function plotflightdata(fname)

close all

load(fname)

assignin('base','fltpackt',fltpackt)

figure(1)
subplot(3,1,1)
plot(fltpackt.time,fltpackt.p); grid;
xlabel('time [s]'); ylabel('p [rad/s]');
title('telemetry data: roll rate');
subplot(3,1,2)
plot(fltpackt.time,fltpackt.q); grid;
xlabel('time [s]'); ylabel('q [rad/s]');
title('telemetry data: pitch rate');
subplot(3,1,3)
plot(fltpackt.time,fltpackt.r); grid;
xlabel('time [s]'); ylabel('r [rad/s]');
title('telemetry data: yaw rate');

figure(2)
subplot(4,1,1)
plot(fltpackt.time,fltpackt.dr); grid;
xlabel('time [s]'); ylabel('rudder [rad]');
title('telemetry data:  rudder');
subplot(4,1,2)
plot(fltpackt.time,fltpackt.de); grid;
xlabel('time [s]'); ylabel('elevator [rad]');
title('telemetry data: elevator');
subplot(4,1,3)
%plot(fltpackt.time,fltpackt.dthr); grid;
xlabel('time [s]'); ylabel('throttle []');
title('telemetry data:  throttle');
subplot(4,1,4)
plot(fltpackt.time,fltpackt.da); grid;
xlabel('time [s]'); ylabel('aileron [rad]');
title('telemetry data:  aileron');

figure(3)
subplot(3,1,1)
plot(fltpackt.time,fltpackt.Ps); grid;
xlabel('time [s]'); ylabel('Baro Altitude AGL [m]');
title('telemetry data:  Altitude');
subplot(3,1,2)
plot(fltpackt.time,fltpackt.Pt); grid;
xlabel('time [s]'); ylabel('IAS [m/s]');
title('telemetry data:  Indicated airspeed');
subplot(3,1,3)
plot(fltpackt.time,fltpackt.mode); grid;
xlabel('time [s]'); ylabel('AP mode');
title('telemetry data: ');

figure(4)
subplot(3,1,1)
plot(fltpackt.time,fltpackt.psi); grid;
xlabel('time [s]'); ylabel('\psi [rad]');
title('telemetry data: Hdng');
subplot(3,1,2)
plot(fltpackt.time,fltpackt.the,fltpackt.time,fltpackt.pitch_ref+5/180*pi); grid;
xlabel('time [s]'); ylabel('\theta [rad]');
title('telemetry data: Pitch');
subplot(3,1,3)
plot(fltpackt.time,fltpackt.phi,fltpackt.time,fltpackt.roll_ref); grid;
xlabel('time [s]'); ylabel('\phi [rad]');
title('telemetry data: Roll');

ind = fltpackt.lon ~= 0;
figure
plot3(fltpackt.lon(ind),fltpackt.lat(ind),fltpackt.Ps(ind));
xlabel('lon [deg]'); ylabel('lat [deg]');zlabel('Baro alt. AGL [m]');
title('telemetry data: GPS position');
grid;




end