/*
 * rtalarms.h
 *
 *  Created on: Mar 14, 2010
 *      Author: Rohit Pandita
 *
 * University of Minnesota 
 * Aerospace Engineering and Mechanics 
 *  2011 Regents of the University of Minnesota. All rights reserved.
 *
 * $Id: rtalarms.h 253 2011-01-20 22:01:35Z murch $
 */

#ifndef RTALARMS_H_
#define RTALARMS_H_

#include <cyg/kernel/kapi.h>

#define NUM_ALARMS 5


#ifdef MNAV
#define 	DAQ_Hz			60
#else
#define 	DAQ_Hz			50
#endif
#define		CLAW_Hz			25
#define		NAV_Hz			10
#define		DNLINK_Hz		10
#define		DATALOGGER_Hz		50

cyg_handle_t rtclock, rtc_counter;
cyg_handle_t alarm_hdl[NUM_ALARMS];
cyg_alarm alarm_obj[NUM_ALARMS];
cyg_alarm_t alarm_handlerfn_sensordaq, alarm_handlerfn_nav, \
alarm_handlerfn_claw, alarm_handlerfn_dnlink;
cyg_resolution_t rtc_resolution;

/* function prototypes */
void alarm_handlerfn_sensordaq ( cyg_handle_t alarm, cyg_addrword_t data );
void alarm_handlerfn_claw ( cyg_handle_t alarm, cyg_addrword_t data );
void alarm_handlerfn_nav ( cyg_handle_t alarm, cyg_addrword_t data );
void alarm_handlerfn_dnlink ( cyg_handle_t alarm, cyg_addrword_t data );
void alarm_handlerfn_datalogger ( cyg_handle_t alarm, cyg_addrword_t data );
void rt_alarms_destroy (void);
void rt_alarms_init (void);

#endif /* RTALARMS_H_ */
